# -*- coding: utf-8 -*-
"""
Created on Mon Jan  2 16:55:57 2023

@author: michael pawelzik
"""

# import module with python class for ahlborn
import almemo710

# variables for selection in used methods
# numbmer format: 'x.y'  where x has to be [0-9] and y has be [0-9]
# x is the sensor port and y is the measurement channel
sel_channel_no = '0.1'
sel_channel_name = 'T,t'
item = 0

try:
    
    # create object for python class of almemo710
    almemo710_obj = almemo710.almemo710(ip='192.168.115.94')
    
    # set date to catual date
    almemo710_obj.set_date()
    
    #set time to actual time
    almemo710_obj.set_time()
    
    # request date from almemo 710  
    date = almemo710_obj.get_date()
    
    # request time from almemo 710
    time = almemo710_obj.get_time()
    
    # set name of measurment channel 0.1 from almemo 710  
    almemo710_obj.set_channel_name(sel_channel_no,sel_channel_name)
    
    # request name of measurement channel from almemo 710
    channel_name = almemo710_obj.get_channel_name(sel_channel_no)
        
    # request list of all sensors channels that are currently active
    # store this data in data frame of class_object
    almemo710_obj.request_sens_channel_list()
     
    # trigger single measurement an request the measured values for all measurment channels
    # of almemo 710
    # store measured values in data frame of python class
    almemo710_obj.request_meas_vals_all_channels()
    
    # get measuerement buffer of class object
    meas_buffer = almemo710_obj.meas_buffer
    
    # fetch parameter of selected measurement channel from meas_buffer of class object
    # input of channel name or channel number is possible
    # numbmer format: 'x.x' where is has to be [0-9]
    meas_channel_data, num_matches = almemo710_obj. \
        fetch_channel_param_from_meas_buffer(pattern = sel_channel_name, index = item)
    
    # get measurement date from selected measurement channel
    meas_date = meas_channel_data.meas_date
    
    # get measurement time from selected measurement channel
    meas_time = meas_channel_data.meas_time
    
    # get measurement value from selected measurement channel
    meas_value = meas_channel_data.meas_val
    
    # get sensor unit from selected measurement channel
    channel_unit = meas_channel_data.channel_unit
    
    # get channel name from selected measurement channel
    channel_name = meas_channel_data.channel_name
    
    # get channel number from selected measurement channel
    sens_channel = meas_channel_data.sens_channel

finally:
    
    # close telnet connection
    almemo710_obj.close()
    
